Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.Providers.PfxSignProvider Class Referenceabstract
Inheritance diagram for Zwipe.Build.Tools.Signing.Providers.PfxSignProvider:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.Providers.PfxSignProvider:
[legend]

## Public Member Functions
X509Certificate2 | GetCertificate ()
string | GetCommandLineParameters ()
string | GetCommandLineParameters (string pfxPath, string pfxPassword)

## Static Public Attributes
const string | Type = "pfx"

## Protected Member Functions
| PfxSignProvider (string pfxPath, string pfxPassword)

## Properties
string | Alias`[get]`

## Private Attributes
readonly string | _pfxPath
readonly string | _pfxPassword

## Constructor & Destructor Documentation

## ◆ PfxSignProvider()

Zwipe.Build.Tools.Signing.Providers.PfxSignProvider.PfxSignProvider | ( | string | pfxPath,
|  | string | pfxPassword )
| protected

## Member Function Documentation

## ◆ GetCertificate()

X509Certificate2 Zwipe.Build.Tools.Signing.Providers.PfxSignProvider.GetCertificate | ( |  | ) |

Implements Zwipe.Build.Tools.Signing.Providers.ISignProvider.

## ◆ GetCommandLineParameters() [1/2]

string Zwipe.Build.Tools.Signing.Providers.PfxSignProvider.GetCommandLineParameters | ( |  | ) |

Implements Zwipe.Build.Tools.Signing.Providers.ISignProvider.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetCommandLineParameters() [2/2]

string Zwipe.Build.Tools.Signing.Providers.PfxSignProvider.GetCommandLineParameters | ( | string | pfxPath,
|  | string | pfxPassword )
| abstract

## Member Data Documentation

## ◆ _pfxPassword

readonly string Zwipe.Build.Tools.Signing.Providers.PfxSignProvider._pfxPassword
| private

## ◆ _pfxPath

readonly string Zwipe.Build.Tools.Signing.Providers.PfxSignProvider._pfxPath
| private

## ◆ Type

const string Zwipe.Build.Tools.Signing.Providers.PfxSignProvider.Type = "pfx"
| static

## Property Documentation

## ◆ Alias

string Zwipe.Build.Tools.Signing.Providers.PfxSignProvider.Alias
| get

Implements Zwipe.Build.Tools.Signing.Providers.ISignProvider.

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/Providers/PfxSignProvider.cs